## org.omg.CORBA
Class INV_POLICYHolder

    java.lang.Object
      |
      +--org.omg.CORBA.INV_POLICYHolder

All Implemented Interfaces:
  Streamable

public final class INV_POLICYHolder
extends java.lang.Object
implements Streamable

Holder class for : INV_POLICY

Author:
  OpenORB Compiler

Field Summary
`INV_POLICY` `value` Internal INV_POLICY value

Constructor Summary
`INV_POLICYHolder()` Default constructor
`INV_POLICYHolder(INV_POLICY initial)` Constructor with value initialisation

Method Summary
`void` `_read(InputStream istream)` Read INV_POLICY from a marshalled stream
`TypeCode` `_type()` Return the INV_POLICY TypeCode
`void` `_write(OutputStream ostream)` Write INV_POLICY into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public INV_POLICY value

  Internal INV_POLICY value

Constructor Detail

### INV_POLICYHolder

    public INV_POLICYHolder()

  Default constructor

### INV_POLICYHolder

    public INV_POLICYHolder(INV_POLICY initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read INV_POLICY from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write INV_POLICY into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the INV_POLICY TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode